# Uses of Interface
org.eclipse.emf.cdo.common.commit.CDOCommitInfoHandler

Packages that use CDOCommitInfoHandler
Package
Description
org.eclipse.emf.cdo
Client concepts like `CDOObject` and `CDOState`.
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.common.commit.handler
Some useful commit info handler implementations.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.common
Common service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.

## Uses of CDOCommitInfoHandler in org.eclipse.emf.cdo

Subinterfaces of CDOCommitInfoHandler in org.eclipse.emf.cdo
Modifier and Type
Interface
Description
`interface`
`CDOObjectHistory`
A cache for the `commit infos` of an `object`.

## Uses of CDOCommitInfoHandler in org.eclipse.emf.cdo.common.commit

Subinterfaces of CDOCommitInfoHandler in org.eclipse.emf.cdo.common.commit
Modifier and Type
Interface
Description
`interface`
`CDOCommitHistory`
A cache for the `commit infos` of a branch or of an entire repository.
Methods in org.eclipse.emf.cdo.common.commit that return CDOCommitInfoHandler
Modifier and Type
Method
Description
`CDOCommitInfoHandler[]`
CDOCommitInfoProvider.`getCommitInfoHandlers()`
Methods in org.eclipse.emf.cdo.common.commit with parameters of type CDOCommitInfoHandler
Modifier and Type
Method
Description
`void`
CDOCommitInfoProvider.`addCommitInfoHandler(CDOCommitInfoHandler handler)`
`void`
CDOCommitInfoManager.`getCommitInfos(CDOBranch branch, long startTime, long endTime, CDOCommitInfoHandler handler)`
`void`
CDOCommitInfoManager.`getCommitInfos(CDOBranch branch, long startTime, String reserved1, String reserved2, int count, CDOCommitInfoHandler handler)`
`void`
CDOCommitInfoProvider.`removeCommitInfoHandler(CDOCommitInfoHandler handler)`
`boolean`
CDOCommitHistory.`triggerLoad(CDOCommitInfoHandler handler)`

## Uses of CDOCommitInfoHandler in org.eclipse.emf.cdo.common.commit.handler

Classes in org.eclipse.emf.cdo.common.commit.handler that implement CDOCommitInfoHandler
Modifier and Type
Class
Description
`class`
`AsyncCommitInfoHandler`
A `commit info handler` that asynchronously delegates `commit infos` to another handler.
`class`
`BinaryCommitInfoLog`
A `commit info handler` that synchronously writes `commit infos` to a binary log.
`class`
`TextCommitInfoLog`
A `commit info handler` that synchronously writes `commit infos` to a text log.
Constructors in org.eclipse.emf.cdo.common.commit.handler with parameters of type CDOCommitInfoHandler
Modifier
Constructor
Description
``
`AsyncCommitInfoHandler(CDOCommitInfoHandler delegate)`

## Uses of CDOCommitInfoHandler in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDOCommitInfoHandler
Modifier and Type
Method
Description
`CDOCommitInfoHandler[]`
IRepository.`getCommitInfoHandlers()`
Deprecated.
As of 4.2 call `CDOCommitInfoProvider.getCommitInfoHandlers()`
Methods in org.eclipse.emf.cdo.server with parameters of type CDOCommitInfoHandler
Modifier and Type
Method
Description
`void`
IRepository.`addCommitInfoHandler(CDOCommitInfoHandler handler)`
Deprecated.
As of 4.2 call `CDOCommitInfoProvider.addCommitInfoHandler(CDOCommitInfoHandler)`
`void`
IRepository.`removeCommitInfoHandler(CDOCommitInfoHandler handler)`
Deprecated.
As of 4.2 call `CDOCommitInfoProvider.removeCommitInfoHandler(CDOCommitInfoHandler)`

## Uses of CDOCommitInfoHandler in org.eclipse.emf.cdo.spi.common

Subinterfaces of CDOCommitInfoHandler in org.eclipse.emf.cdo.spi.common
Modifier and Type
Interface
Description
`interface`
`CDOReplicationContext`
If the meaning of this type isn't clear, there really should be more of a description here...

## Uses of CDOCommitInfoHandler in org.eclipse.emf.cdo.spi.common.commit

Methods in org.eclipse.emf.cdo.spi.common.commit with parameters of type CDOCommitInfoHandler
Modifier and Type
Method
Description
`void`
InternalCDOCommitInfoManager.CommitInfoLoader.`loadCommitInfos(CDOBranch branch, long startTime, long endTime, CDOCommitInfoHandler handler)`

## Uses of CDOCommitInfoHandler in org.eclipse.emf.cdo.spi.server

Subinterfaces of CDOCommitInfoHandler in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalFailoverParticipant`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalSynchronizableRepository`
If the meaning of this type isn't clear, there really should be more of a description here...

## Uses of CDOCommitInfoHandler in org.eclipse.emf.cdo.view

Subinterfaces of CDOCommitInfoHandler in org.eclipse.emf.cdo.view
Modifier and Type
Interface
Description
`interface`
`CDOViewCommitInfoListener`
A `listener` that, when added to a `view`, `notifies` about `commits` to the view's `branch`.